cURL
curl --request GET \ --url https://{host}/api/v3/leaveRequests/{id} \ --header 'Authorization: <authorization>'
{ "data": { "id": 123, "leavePeriodId": 123, "leavePeriod": { "id": 123, "ownerId": 123, "isConfirmed": true, "confirmationDate": "2023-11-07T05:31:56Z", "attachmentId": "<string>", "leaves": [ {} ], "logs": [ { "id": 123, "date": "2023-11-07T05:31:56Z", "comment": "<string>", "status": 0 } ] }, "status": 0, "creationDate": "2023-11-07T05:31:56Z", "nextApproverId": 123, "cancellationUserId": 123, "cancellationDate": "2023-11-07T05:31:56Z", "isActive": true, "approvals": [ { "id": 123, "date": "2023-11-07T05:31:56Z", "approverId": 123, "substitutedApproverId": 0, "approved": true, "comment": "<string>" } ], "cancellationRequests": [ { "id": 123, "authorId": 123, "comment": "<string>", "rank": 0, "approved": true, "creationDate": "2023-11-07T05:31:56Z", "nextApproverId": 123, "isActive": true } ] } }
Retrieve a single Leave Request by its unique identifier.
Documentation IndexFetch the complete documentation index at: https://developers.lucca.fr/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
Use this file to discover all available pages before exploring further.
API key. Value must be formatted like so: lucca application={api_key}.
lucca application={api_key}
ID of the leave-request.
OK
Show child attributes
Was this page helpful?